MPP(1)

NAME
mpp - macro preproccessor

SYNOPSIS
mpp [ -sp ] [ -cCHAR ] [ -Dname=value ] [ -Uname ] files

DESCRIPTION
Mpp is a generic macropreproccessor. The directives %ifdef, %else, %endif, %define, %undef, and %include are understood by mpp. The concationated output of all input files is send to stdout.

Mpp understands the following switches:

-cC Changed special charactor to C. (Percent sign is the default.)

-s  Strip out all comments beginning with a pound sign.

-p  Read stdin as if it were an input file.

-Dname=value
    Define macro with name to be value.

-Uname
    Remove current definition of name.